## cl-asdf-flv 2.1

=== Makefile ===
### Makefile --- Toplevel directory

## Copyright (C) 2011, 2015 Didier Verna

## Author: Didier Verna <didier@didierverna.net>

## This file is part of ASDF-FLV.

## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.


### Commentary:

## Contents management by FCM version 0.1.


### Code:

PROJECT := asdf-flv
VERSION := 2.1

W3DIR := $(HOME)/www/software/lisp/$(PROJECT)

DIST_NAME := $(PROJECT)-$(VERSION)
TARBALL   := $(DIST_NAME).tar.gz
SIGNATURE := $(TARBALL).asc


all:

clean:
	-rm *~

distclean: clean
	-rm *.tar.gz *.tar.gz.asc

tag:
	git tag -a -m 'Version $(VERSION)' 'version-$(VERSION)'

tar: $(TARBALL)
gpg: $(SIGNATURE)
dist: tar gpg

install-www: dist
	-install -m 644 $(TARBALL)   "$(W3DIR)/attic/"
	-install -m 644 $(SIGNATURE) "$(W3DIR)/attic/"
	echo "\
<? lref (\"$(PROJECT)/attic/$(PROJECT)-$(VERSION).tar.gz\", \
	 contents (\"Dernire version\", \"Latest version\")); ?> \
| \
<? lref (\"$(PROJECT)/attic/$(PROJECT)-$(VERSION).tar.gz.asc\", \
	 contents (\"Signature GPG\", \"GPG Signature\")); ?>" \
	  > "$(W3DIR)/latest.txt"
	chmod 644 "$(W3DIR)/latest.txt"
	cd "$(W3DIR)"					\
	  && ln -fs attic/$(TARBALL) latest.tar.gz	\
	  && ln -fs attic/$(SIGNATURE) latest.tar.gz.asc

update-version:
	perl -pi -e 's/:version ".*"/:version "$(VERSION)"/' \
	  net.didierverna.$(PROJECT).asd

$(TARBALL):
	git archive --format=tar --prefix=$(DIST_NAME)/ \
	    --worktree-attributes HEAD			\
	  | gzip -c > $@

$(SIGNATURE): $(TARBALL)
	gpg -b -a $<


.PHONY: all clean distclean tag tar gpg dist install-www update-version

### Makefile ends here

=== debian/changelog ===
cl-asdf-flv (2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #900148)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 26 May 2018 19:15:34 +0200

=== debian/control ===
Source: cl-asdf-flv
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.1.4
Homepage: https://www.lrde.epita.fr/~didier/software/lisp/misc.php#asdf-flv
Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-asdf-flv.git
Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-asdf-flv

Package: cl-asdf-flv
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: file-local variables through Common Lisp's ASDF
 ASDF-FLV provides support for file-local variables through ASDF (the Common
 Lisp standard utility for building projects and declaring dependencies between
 them).
 .
 A file-local variable behaves like *PACKAGE* and *READTABLE* with respect to
 LOAD and COMPILE-FILE: a new dynamic binding is created before processing the
 file, so that any modification to the variable essentially becomes file-local.

=== debian/watch ===
version=4
# Not adding pgp option, since the 2.1 tarball is signed with a key which is
# not on public keyservers, and different from the one in the "Contact" section
# of Didier Verna's website
https://www.lrde.epita.fr/~didier/software/lisp/misc.php \
  (?:.*)/asdf-flv@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## cl-asdf-flv 2.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ### Makefile --- Toplevel directory
 
-## Copyright (C) 2011, 2015 Didier Verna
+## Copyright (C) 2011, 2015, 2023 Didier Verna
 
 ## Author: Didier Verna <didier@didierverna.net>
 
@@ -20,9 +20,9 @@
 ### Code:
 
 PROJECT := asdf-flv
-VERSION := 2.1
+VERSION := 2.2
 
-W3DIR := $(HOME)/www/software/lisp/$(PROJECT)
+W3DIR := $(HOME)/Documents/Science/Sites/lrde/software/lisp/$(PROJECT)
 
 DIST_NAME := $(PROJECT)-$(VERSION)
 TARBALL   := $(DIST_NAME).tar.gz

=== debian/changelog ===
cl-asdf-flv (2.2-1) unstable; urgency=medium

  * New upstream version 2.2
  * Add myself to Uploaders
  * Updated Standards-Version, no changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 30 Nov 2024 11:16:52 +0100

cl-asdf-flv (2.1-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Remove myself from Uploaders

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 30 Nov 2024 11:16:04 +0100

cl-asdf-flv (2.1-2) unstable; urgency=medium

  * Mark autopkgtests as superficial
  * Bump to debhelper 13
  * Add Rules-Requires-Root: no
  * Bump to S-V 4.5.1
  * Add debian/upstream/metadata

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 02 Jan 2021 11:23:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
-Uploaders: Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.1.4
+Uploaders: Peter Van Eynde <pvaneynd@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
 Homepage: https://www.lrde.epita.fr/~didier/software/lisp/misc.php#asdf-flv
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-asdf-flv.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-asdf-flv
+Rules-Requires-Root: no
 
 Package: cl-asdf-flv
 Architecture: all
